Bug 801634 - (CVE-2012-1147) CVE-2012-1147 expat: resource leak in readfilemap.c
CVE-2012-1147 expat: resource leak in readfilemap.c
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
low Severity low
: ---
: ---
Assigned To: Red Hat Product Security
impact=low,public=20120303,reported=2...
: Security
Depends On:
Blocks: 801654
  Show dependency treegraph
 
Reported: 2012-03-08 23:13 EST by Kurt Seifried
Modified: 2016-04-26 22:33 EDT (History)
11 users (show)

See Also:
Fixed In Version: expat 2.1.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-07-11 04:04:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kurt Seifried 2012-03-08 23:13:05 EST
martin ettl reported a resource leak in expat[1]:

during a check with the static code analysis tool cppcheck, i found a resource leak, I reported it to the wxWidgets developers. The told me to contact you:
http://trac.wxwidgets.org/ticket/11432
http://trac.wxwidgets.org/ticket/11194

Best regards

Orbitcowboy

[1] http://sourceforge.net/tracker/?func=detail&atid=110127&aid=2895533&group_id=10127
http://mail.python.org/pipermail/expat-bugs/2009-November/002858.html
Comment 3 Kurt Seifried 2012-04-12 23:42:19 EDT
xmlwf/readfilemap.c is used on Windows only, from configure:

if test "$ac_cv_func_mmap_fixed_mapped" = "yes"; then
    FILEMAP=unixfilemap
else
    FILEMAP=readfilemap
fi


NOTABUG on UNIX, but affects Windows so expat is not affected but mingw32-expat may be affected on Windows.
Comment 4 Tomas Hoger 2014-07-11 04:04:02 EDT
Upstream bug:
http://sourceforge.net/p/expat/bugs/2895533/

Upstream commit:
http://expat.cvs.sourceforge.net/viewvc/expat/expat/xmlwf/readfilemap.c?view=log#rev1.15

Fixed upstream in 2.1.0:
http://sourceforge.net/projects/expat/files/expat/2.1.0/
  #2895533: CVE-2012-1147 - Resource leak in readfilemap.c.

As noted above, this did not affect Linux / Unix builds of expat.  mingw-expat packages in Fedora and EPEL-7 are already updated to fixed upstream version 2.1.0.

This only affected xmlfw tool and not the expat library itself, and hence had no real impact.

Note You need to log in before you can comment on or make changes to this bug.